Skip to main content
GET
/
scans
/
{id}
Get scan information by ID
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/scans/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "tool_id": 123,
    "id": 123,
    "target_id": 123,
    "status_name": "running",
    "vpn_scan": true,
    "progress": 50,
    "result_summary": {
      "text": "<string>",
      "critical": 123,
      "high": 123,
      "medium": 123,
      "low": 123,
      "info": 123
    },
    "start_time": "2023-11-07T05:31:56Z",
    "end_time": "2023-11-07T05:31:56Z",
    "duration": 123,
    "num_tests": 123,
    "num_finished_tests": 123,
    "status_message": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Path Parameters

id
integer
required

id of scan

Response

OK

data
Subdomain Finder · object
required